'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Panel = require('../../../styles/cspace-ui/Panel.css');

var _Panel2 = _interopRequireDefault(_Panel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Panel = function (_Component) {
  _inherits(Panel, _Component);

  function Panel(props) {
    _classCallCheck(this, Panel);

    var _this = _possibleConstructorReturn(this, (Panel.__proto__ || Object.getPrototypeOf(Panel)).call(this, props));

    _this.handleHeaderClick = _this.handleHeaderClick.bind(_this);
    return _this;
  }

  _createClass(Panel, [{
    key: 'handleHeaderClick',
    value: function handleHeaderClick() {
      var _props = this.props,
          collapsible = _props.collapsible,
          collapsed = _props.collapsed,
          name = _props.name,
          onToggleCollapsed = _props.onToggleCollapsed;


      if (collapsible && onToggleCollapsed) {
        onToggleCollapsed(name, !collapsed);
      }
    }
  }, {
    key: 'renderHeader',
    value: function renderHeader() {
      var header = this.props.header;


      if (!header) {
        return null;
      }

      return _react2.default.createElement(
        'header',
        null,
        _react2.default.createElement(
          'button',
          { type: 'button', onClick: this.handleHeaderClick },
          header
        )
      );
    }
  }, {
    key: 'renderBody',
    value: function renderBody() {
      var _props2 = this.props,
          collapsible = _props2.collapsible,
          collapsed = _props2.collapsed,
          children = _props2.children;


      if (collapsible && collapsed) {
        return null;
      }

      return _react2.default.createElement(
        'div',
        null,
        children
      );
    }
  }, {
    key: 'render',
    value: function render() {
      var header = this.renderHeader();
      var body = this.renderBody();

      var _props3 = this.props,
          collapsible = _props3.collapsible,
          collapsed = _props3.collapsed;


      var className = collapsible && collapsed ? _Panel2.default.collapsed : _Panel2.default.normal;

      return _react2.default.createElement(
        'section',
        { className: className },
        header,
        body
      );
    }
  }]);

  return Panel;
}(_react.Component);

exports.default = Panel;


Panel.propTypes = {
  children: _react.PropTypes.node,
  collapsible: _react2.default.PropTypes.bool,
  collapsed: _react2.default.PropTypes.bool,
  header: _react.PropTypes.node,
  name: _react.PropTypes.string,
  onToggleCollapsed: _react.PropTypes.func
};

Panel.defaultProps = {
  collapsible: false,
  collapsed: false
};