'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = RecordPage;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _RecordButtonBarContainer = require('../../containers/record/RecordButtonBarContainer');

var _RecordButtonBarContainer2 = _interopRequireDefault(_RecordButtonBarContainer);

var _RecordEditorContainer = require('../../containers/record/RecordEditorContainer');

var _RecordEditorContainer2 = _interopRequireDefault(_RecordEditorContainer);

var _RecordTitleBarContainer = require('../../containers/record/RecordTitleBarContainer');

var _RecordTitleBarContainer2 = _interopRequireDefault(_RecordTitleBarContainer);

var _RecordPage = require('../../../styles/cspace-ui/RecordPage.css');

var _RecordPage2 = _interopRequireDefault(_RecordPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function RecordPage(props, context) {
  var csid = props.params.csid;
  var recordType = props.params.recordType;

  var config = context.config;


  var recordTypeConfig = config.recordTypes[recordType];

  if (csid === null || typeof csid === 'undefined') {
    csid = '';
  }

  return _react2.default.createElement(
    'div',
    { className: _RecordPage2.default.common },
    _react2.default.createElement(_RecordTitleBarContainer2.default, { csid: csid, recordType: recordType }),
    _react2.default.createElement(_RecordButtonBarContainer2.default, { csid: csid, recordTypeConfig: recordTypeConfig }),
    _react2.default.createElement(_RecordEditorContainer2.default, { csid: csid, recordType: recordType })
  );
}

RecordPage.propTypes = {
  params: _react.PropTypes.shape({
    csid: _react.PropTypes.string,
    recordType: _react.PropTypes.string.isRequired
  }).isRequired
};

RecordPage.contextTypes = {
  config: _react.PropTypes.object.isRequired
};