'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

var _PropTypes = require('react-router/lib/PropTypes');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _TitleBar = require('../sections/TitleBar');

var _TitleBar2 = _interopRequireDefault(_TitleBar);

var _PageSizeChooser = require('../search/PageSizeChooser');

var _PageSizeChooser2 = _interopRequireDefault(_PageSizeChooser);

var _Pager = require('../search/Pager');

var _Pager2 = _interopRequireDefault(_Pager);

var _SearchResultTableContainer = require('../../containers/search/SearchResultTableContainer');

var _SearchResultTableContainer2 = _interopRequireDefault(_SearchResultTableContainer);

var _SearchResultPage = require('../../../styles/cspace-ui/SearchResultPage.css');

var _SearchResultPage2 = _interopRequireDefault(_SearchResultPage);

var _Header = require('../../../styles/cspace-ui/Header.css');

var _Header2 = _interopRequireDefault(_Header);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var propTypes = {
  location: _PropTypes.locationShape,
  params: _react.PropTypes.objectOf(_react.PropTypes.string),
  preferredPageSize: _react.PropTypes.number,
  search: _react.PropTypes.func,
  setPreferredPageSize: _react.PropTypes.func
};

var contextTypes = {
  config: _react.PropTypes.object.isRequired,
  router: _PropTypes.routerShape
};

var messages = (0, _reactIntl.defineMessages)({
  keywordParams: {
    'id': 'searchResultPage.keywordParams',
    'defaultMessage': '"{keywords}"'
  },
  resultCount: {
    'id': 'searchResultPage.resultCount',
    'defaultMessage': '{totalItems, plural, =0 {No records} one {1 record} other {{startNum}\u2013{endNum} of {totalItems} records}} found'
  },
  searching: {
    'id': 'searchResultPage.searching',
    'defaultMessage': 'Searching...'
  }
});

var SearchResultPage = function (_Component) {
  _inherits(SearchResultPage, _Component);

  function SearchResultPage() {
    _classCallCheck(this, SearchResultPage);

    var _this = _possibleConstructorReturn(this, (SearchResultPage.__proto__ || Object.getPrototypeOf(SearchResultPage)).call(this));

    _this.renderFooter = _this.renderFooter.bind(_this);
    _this.renderHeader = _this.renderHeader.bind(_this);
    _this.handlePageSelect = _this.handlePageSelect.bind(_this);
    _this.handlePageSizeChange = _this.handlePageSizeChange.bind(_this);
    _this.handleSortChange = _this.handleSortChange.bind(_this);
    return _this;
  }

  _createClass(SearchResultPage, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      if (!this.normalizeQuery()) {
        this.search();
      }
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate(prevProps) {
      if (this.props.params.recordType !== prevProps.params.recordType || this.props.params.vocabulary !== prevProps.params.vocabulary || this.props.location.query !== prevProps.location.query) {
        if (!this.normalizeQuery()) {
          this.search();
        }
      }
    }
  }, {
    key: 'getSearchDescriptor',
    value: function getSearchDescriptor() {
      var _props = this.props,
          location = _props.location,
          params = _props.params;
      var recordType = params.recordType,
          vocabulary = params.vocabulary;


      var searchQuery = Object.assign({}, location.query, {
        p: location.query.p - 1
      });

      return {
        recordType: recordType,
        vocabulary: vocabulary,
        searchQuery: searchQuery
      };
    }
  }, {
    key: 'normalizeQuery',
    value: function normalizeQuery() {
      var _props2 = this.props,
          location = _props2.location,
          preferredPageSize = _props2.preferredPageSize;
      var query = location.query;
      var router = this.context.router;


      if (router) {
        var normalizedQueryParams = {};

        var pageSize = parseInt(query.size, 10);

        if (isNaN(pageSize) || pageSize < 1) {
          // FIXME: Make default page size configurable
          var defaultPageSize = 20;
          var normalizedPageSize = preferredPageSize || defaultPageSize;

          normalizedQueryParams.size = normalizedPageSize.toString();
        } else if (pageSize > 2500) {
          // Services layer max is 2500
          normalizedQueryParams.size = '2500';
        } else if (pageSize.toString() !== query.size) {
          normalizedQueryParams.size = pageSize.toString();
        }

        var pageNum = parseInt(query.p, 10);

        if (isNaN(pageNum) || pageNum < 1) {
          normalizedQueryParams.p = '1';
        } else if (pageNum.toString() !== query.p) {
          normalizedQueryParams.p = pageNum.toString();
        }

        if (Object.keys(normalizedQueryParams).length > 0) {
          var newQuery = Object.assign({}, query, normalizedQueryParams);

          router.replace({
            pathname: location.pathname,
            query: newQuery
          });

          return true;
        }
      }

      return false;
    }
  }, {
    key: 'handlePageSelect',
    value: function handlePageSelect(pageNum) {
      var location = this.props.location;
      var router = this.context.router;


      if (router) {
        router.push({
          pathname: location.pathname,
          query: Object.assign({}, location.query, {
            p: (pageNum + 1).toString()
          })
        });
      }
    }
  }, {
    key: 'handlePageSizeChange',
    value: function handlePageSizeChange(pageSize) {
      var _props3 = this.props,
          location = _props3.location,
          setPreferredPageSize = _props3.setPreferredPageSize;
      var router = this.context.router;


      if (setPreferredPageSize) {
        setPreferredPageSize(pageSize);
      }

      if (router) {
        router.push({
          pathname: location.pathname,
          query: Object.assign({}, location.query, {
            p: '1',
            size: pageSize.toString()
          })
        });
      }
    }
  }, {
    key: 'handleSortChange',
    value: function handleSortChange(sort) {
      var location = this.props.location;
      var router = this.context.router;


      if (router) {
        router.push({
          pathname: location.pathname,
          query: Object.assign({}, location.query, {
            sort: sort
          })
        });
      }
    }
  }, {
    key: 'search',
    value: function search() {
      var search = this.props.search;
      var config = this.context.config;


      if (search) {
        search(config, this.getSearchDescriptor());
      }
    }
  }, {
    key: 'renderHeader',
    value: function renderHeader(_ref) {
      var _classNames;

      var isSearchPending = _ref.isSearchPending,
          searchError = _ref.searchError,
          searchResult = _ref.searchResult;

      if (searchError) {
        // FIXME: Make a proper error page
        var errorMessage = searchError.get('code') || '';

        return _react2.default.createElement(
          'header',
          { className: _Header2.default.common },
          'Error: ',
          errorMessage
        );
      }

      var location = this.props.location;


      var message = null;
      var pageSizeChooser = null;

      var pageSizeQueryParam = parseInt(location.query.size, 10);

      pageSizeChooser = _react2.default.createElement(_PageSizeChooser2.default, {
        pageSize: pageSizeQueryParam,
        onPageSizeChange: this.handlePageSizeChange
      });

      if (isSearchPending) {
        message = _react2.default.createElement(_reactIntl.FormattedMessage, messages.searching);
      } else if (searchResult) {
        var list = searchResult.get('ns2:abstract-common-list');

        var totalItems = parseInt(list.get('totalItems'), 10);
        var pageNum = parseInt(list.get('pageNum'), 10);
        var pageSize = parseInt(list.get('pageSize'), 10);

        var startNum = pageNum * pageSize + 1;
        var endNum = Math.min(pageNum * pageSize + pageSize, totalItems);

        message = _react2.default.createElement(_reactIntl.FormattedMessage, _extends({}, messages.resultCount, {
          values: {
            totalItems: totalItems,
            startNum: startNum,
            endNum: endNum
          }
        }));
      }

      var classes = (0, _classnames2.default)((_classNames = {}, _defineProperty(_classNames, _Header2.default.common, true), _defineProperty(_classNames, _Header2.default.pending, isSearchPending), _classNames));

      return _react2.default.createElement(
        'header',
        { className: classes },
        message,
        pageSizeChooser
      );
    }
  }, {
    key: 'renderFooter',
    value: function renderFooter(_ref2) {
      var searchResult = _ref2.searchResult;

      if (searchResult) {
        var list = searchResult.get('ns2:abstract-common-list');

        var totalItems = parseInt(list.get('totalItems'), 10);
        var pageNum = parseInt(list.get('pageNum'), 10);
        var pageSize = parseInt(list.get('pageSize'), 10);

        if (totalItems > 0) {
          return _react2.default.createElement(
            'footer',
            null,
            _react2.default.createElement(_Pager2.default, {
              currentPage: pageNum,
              lastPage: Math.ceil(totalItems / pageSize) - 1,
              onPageSelect: this.handlePageSelect
            })
          );
        }
      }

      return null;
    }
  }, {
    key: 'render',
    value: function render() {
      var config = this.context.config;


      var searchDescriptor = this.getSearchDescriptor();
      var recordTypeConfig = config.recordTypes[searchDescriptor.recordType];

      if (!recordTypeConfig) {
        // FIXME: Make a proper error page
        return _react2.default.createElement(
          'div',
          { className: _SearchResultPage2.default.common },
          _react2.default.createElement(_TitleBar2.default, { title: 'Error: Unknown record type' })
        );
      }

      var keywords = searchDescriptor.searchQuery.kw;

      var keywordParamsTitle = keywords ? _react2.default.createElement(_reactIntl.FormattedMessage, _extends({}, messages.keywordParams, { values: { keywords: keywords } })) : null;

      var title = _react2.default.createElement(
        'span',
        null,
        _react2.default.createElement(_reactIntl.FormattedMessage, recordTypeConfig.messageDescriptors.resultsTitle),
        keywords ? ': ' : null,
        keywordParamsTitle
      );

      return _react2.default.createElement(
        'div',
        { className: _SearchResultPage2.default.common },
        _react2.default.createElement(_TitleBar2.default, { title: title }),
        _react2.default.createElement(_SearchResultTableContainer2.default, {
          searchDescriptor: searchDescriptor,
          renderHeader: this.renderHeader,
          renderFooter: this.renderFooter,
          onSortChange: this.handleSortChange
        })
      );
    }
  }]);

  return SearchResultPage;
}(_react.Component);

exports.default = SearchResultPage;


SearchResultPage.propTypes = propTypes;
SearchResultPage.contextTypes = contextTypes;