'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = RecordButtonBar;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

var _cspaceInput = require('cspace-input');

var _RecordButtonBar = require('../../../styles/cspace-ui/RecordButtonBar.css');

var _RecordButtonBar2 = _interopRequireDefault(_RecordButtonBar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Button = _cspaceInput.components.Button;


var messages = (0, _reactIntl.defineMessages)({
  save: {
    'id': 'recordButtonBar.save',
    'defaultMessage': 'Save'
  }
});

function RecordButtonBar(props) {
  var isSavePending = props.isSavePending,
      onSaveButtonClick = props.onSaveButtonClick;


  return _react2.default.createElement(
    'div',
    { className: _RecordButtonBar2.default.common },
    _react2.default.createElement(
      Button,
      {
        disabled: isSavePending,
        name: 'save',
        onClick: onSaveButtonClick
      },
      _react2.default.createElement(_reactIntl.FormattedMessage, messages.save)
    ),
    _react2.default.createElement(
      'span',
      null,
      props.isSavePending ? '  Saving...' : ''
    )
  );
}

RecordButtonBar.propTypes = {
  isSavePending: _react.PropTypes.bool,
  onSaveButtonClick: _react.PropTypes.func
};