'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

var _cspaceLayout = require('cspace-layout');

var _configHelpers = require('../../helpers/configHelpers');

var _SearchResultTable = require('../../../styles/cspace-ui/SearchResultTable.css');

var _SearchResultTable2 = _interopRequireDefault(_SearchResultTable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var propTypes = {
  formatCellData: _react.PropTypes.func,
  formatColumnLabel: _react.PropTypes.func,
  isSearchPending: _react.PropTypes.bool,
  searchDescriptor: _react.PropTypes.object,
  searchError: _react.PropTypes.instanceOf(Error),
  searchResult: _react.PropTypes.instanceOf(_immutable2.default.Map),
  renderHeader: _react.PropTypes.func,
  renderFooter: _react.PropTypes.func,
  onSortChange: _react.PropTypes.func
};

var defaultProps = {
  formatCellData: function formatCellData(column, data) {
    return data;
  },
  formatColumnLabel: function formatColumnLabel(column) {
    return column.messages.label.defaultMessage;
  },
  renderHeader: function renderHeader() {
    return null;
  },
  renderFooter: function renderFooter() {
    return null;
  }
};

var contextTypes = {
  config: _react.PropTypes.object.isRequired,
  router: _react.PropTypes.object
};

var rowHeight = 22;

var SearchResultTable = function (_Component) {
  _inherits(SearchResultTable, _Component);

  function SearchResultTable() {
    _classCallCheck(this, SearchResultTable);

    var _this = _possibleConstructorReturn(this, (SearchResultTable.__proto__ || Object.getPrototypeOf(SearchResultTable)).call(this));

    _this.handleRowClick = _this.handleRowClick.bind(_this);
    _this.sort = _this.sort.bind(_this);
    return _this;
  }

  _createClass(SearchResultTable, [{
    key: 'handleRowClick',
    value: function handleRowClick(index) {
      var _props = this.props,
          searchDescriptor = _props.searchDescriptor,
          searchResult = _props.searchResult;
      var _context = this.context,
          config = _context.config,
          router = _context.router;


      if (searchResult && router) {
        var items = searchResult.getIn(['ns2:abstract-common-list', 'list-item']);
        var item = _immutable2.default.List.isList(items) ? items.get(index) : items;
        var docType = item.get('docType');

        var recordTypeName = void 0;

        if (docType) {
          var recordTypeConfig = (0, _configHelpers.getRecordTypeByServiceObjectName)(config, docType);

          if (recordTypeConfig) {
            recordTypeName = recordTypeConfig.name;
          }
        }

        if (!recordTypeName) {
          recordTypeName = searchDescriptor.recordType;
        }

        if (recordTypeName) {
          var csid = item.get('csid');

          router.push('/record/' + recordTypeName + '/' + csid);
        }
      }
    }
  }, {
    key: 'sort',
    value: function sort(_ref) {
      var sortBy = _ref.sortBy,
          sortDirection = _ref.sortDirection;
      var onSortChange = this.props.onSortChange;


      if (onSortChange) {
        onSortChange(sortBy + (sortDirection === _cspaceLayout.Table.SORT_DESC ? ' desc' : ''));
      }
    }
  }, {
    key: 'renderTable',
    value: function renderTable() {
      var _this2 = this;

      var _props2 = this.props,
          formatCellData = _props2.formatCellData,
          formatColumnLabel = _props2.formatColumnLabel,
          searchDescriptor = _props2.searchDescriptor,
          searchResult = _props2.searchResult;
      var config = this.context.config;


      if (searchResult) {
        var sortColumnName = null;
        var sortDir = null;

        var sortSpec = searchDescriptor.searchQuery.sort;

        if (sortSpec) {
          var _sortSpec$split = sortSpec.split(' ');

          var _sortSpec$split2 = _slicedToArray(_sortSpec$split, 2);

          sortColumnName = _sortSpec$split2[0];
          sortDir = _sortSpec$split2[1];
        }

        var list = searchResult.get('ns2:abstract-common-list');
        var pageSize = parseInt(list.get('pageSize'), 10);
        var totalItems = parseInt(list.get('totalItems'), 10);

        if (totalItems > 0) {
          var _ret = function () {
            var recordTypeConfig = config.recordTypes[searchDescriptor.recordType];

            var items = list.get('list-item');

            if (!items) {
              items = _immutable2.default.List();
            }

            if (!_immutable2.default.List.isList(items)) {
              // If there's only one result, it won't be returned as a list.
              items = _immutable2.default.List.of(items);
            }

            var columnConfig = (0, _get2.default)(recordTypeConfig, ['columns', 'search']) || [];

            var columns = columnConfig.map(function (column) {
              return {
                cellDataGetter: function cellDataGetter(_ref2) {
                  var dataKey = _ref2.dataKey,
                      rowData = _ref2.rowData;
                  return formatCellData(column, rowData ? rowData.get(dataKey) : null);
                },
                disableSort: !column.sortBy,
                label: formatColumnLabel(column),
                dataKey: column.name,
                width: column.width
              };
            });

            // If there's more than one page, maintain the same table height on all pages for
            // continuity. This way the last page, if it has fewer items, doesn't get shorter, causing
            // the paging links to jump up. But if there's only one page, shrink the table to fit the
            // number of results, so the paging links aren't unnecessarily far down.

            var heightBasis = totalItems <= pageSize ? items.size : pageSize;
            var height = heightBasis * rowHeight + rowHeight;

            return {
              v: _react2.default.createElement(
                'div',
                { style: { height: height } },
                _react2.default.createElement(_cspaceLayout.Table, {
                  columns: columns,
                  rowCount: items.size,
                  rowGetter: function rowGetter(_ref3) {
                    var index = _ref3.index;
                    return items.get(index);
                  },
                  onRowClick: _this2.handleRowClick,
                  sort: _this2.sort,
                  sortBy: sortColumnName,
                  sortDirection: sortDir === 'desc' ? _cspaceLayout.Table.SORT_DESC : _cspaceLayout.Table.SORT_ASC
                })
              )
            };
          }();

          if ((typeof _ret === 'undefined' ? 'undefined' : _typeof(_ret)) === "object") return _ret.v;
        }
      }

      return null;
    }
  }, {
    key: 'render',
    value: function render() {
      var _props3 = this.props,
          isSearchPending = _props3.isSearchPending,
          searchError = _props3.searchError,
          searchResult = _props3.searchResult,
          renderHeader = _props3.renderHeader,
          renderFooter = _props3.renderFooter;


      return _react2.default.createElement(
        'div',
        { className: _SearchResultTable2.default.common },
        renderHeader({ isSearchPending: isSearchPending, searchError: searchError, searchResult: searchResult }),
        this.renderTable(),
        renderFooter({ isSearchPending: isSearchPending, searchError: searchError, searchResult: searchResult })
      );
    }
  }]);

  return SearchResultTable;
}(_react.Component);

exports.default = SearchResultTable;


SearchResultTable.propTypes = propTypes;
SearchResultTable.defaultProps = defaultProps;
SearchResultTable.contextTypes = contextTypes;