'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PanelContainer = undefined;

var _reactRedux = require('react-redux');

var _Panel = require('../../components/layout/Panel');

var _Panel2 = _interopRequireDefault(_Panel);

var _withRecordType = require('../../enhancers/withRecordType');

var _withRecordType2 = _interopRequireDefault(_withRecordType);

var _prefs = require('../../actions/prefs');

var _reducers = require('../../reducers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapStateToProps = function mapStateToProps(state, ownProps) {
  var name = ownProps.name,
      recordType = ownProps.recordType;


  var collapsed = (0, _reducers.isPanelCollapsed)(state, recordType, name);

  if (typeof collapsed === 'undefined') {
    collapsed = ownProps.collapsed;
  }

  return {
    collapsed: collapsed
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch, ownProps) {
  var recordType = ownProps.recordType;


  return {
    onToggleCollapsed: function onToggleCollapsed(name, collapsed) {
      dispatch((0, _prefs.collapsePanel)(recordType, name, collapsed));
    }
  };
};

var PanelContainer = exports.PanelContainer = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_Panel2.default);

PanelContainer.propTypes = _Panel2.default.propTypes;

var RecordTypeAwarePanelContainer = (0, _withRecordType2.default)(PanelContainer);

RecordTypeAwarePanelContainer.propTypes = PanelContainer.propTypes;

exports.default = RecordTypeAwarePanelContainer;