'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConnectedRecordButtonBar = undefined;

var _reactRedux = require('react-redux');

var _reactRouter = require('react-router');

var _RecordButtonBar = require('../../components/record/RecordButtonBar');

var _RecordButtonBar2 = _interopRequireDefault(_RecordButtonBar);

var _record = require('../../actions/record');

var _reducers = require('../../reducers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapStateToProps = function mapStateToProps(state, ownProps) {
  var csid = ownProps.csid;


  return {
    isSavePending: (0, _reducers.isRecordSavePending)(state, csid)
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch, ownProps) {
  var csid = ownProps.csid,
      recordTypeConfig = ownProps.recordTypeConfig,
      router = ownProps.router;


  return {
    onSaveButtonClick: function onSaveButtonClick() {
      dispatch((0, _record.saveRecord)(recordTypeConfig, csid, router.replace));
    }
  };
};

var ConnectedRecordButtonBar = exports.ConnectedRecordButtonBar = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_RecordButtonBar2.default);

exports.default = (0, _reactRouter.withRouter)(ConnectedRecordButtonBar);