'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConnectedSearchResultTable = undefined;

var _reactRedux = require('react-redux');

var _reactIntl = require('react-intl');

var _SearchResultTable = require('../../components/search/SearchResultTable');

var _SearchResultTable2 = _interopRequireDefault(_SearchResultTable);

var _withConfig = require('../../enhancers/withConfig');

var _withConfig2 = _interopRequireDefault(_withConfig);

var _reducers = require('../../reducers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapStateToProps = function mapStateToProps(state, ownProps) {
  var intl = ownProps.intl,
      config = ownProps.config,
      searchDescriptor = ownProps.searchDescriptor;


  return {
    formatCellData: function formatCellData(column, data) {
      return column.formatValue ? column.formatValue(data, { intl: intl, config: config }) : data;
    },
    formatColumnLabel: function formatColumnLabel(column) {
      return intl.formatMessage(column.messages.label);
    },
    isSearchPending: (0, _reducers.isSearchPending)(state, searchDescriptor),
    searchResult: (0, _reducers.getSearchResult)(state, searchDescriptor),
    searchError: (0, _reducers.getSearchError)(state, searchDescriptor)
  };
};

var ConnectedSearchResultTable = exports.ConnectedSearchResultTable = (0, _reactRedux.connect)(mapStateToProps)(_SearchResultTable2.default);

exports.default = (0, _reactIntl.injectIntl)((0, _withConfig2.default)(ConnectedSearchResultTable));