'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = withRecordTypes;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function withRecordTypes(BaseComponent) {
  function WithRecordTypes(props, context) {
    var recordTypes = context.recordTypes;


    return _react2.default.createElement(BaseComponent, _extends({}, props, {
      recordTypes: recordTypes
    }));
  }

  WithRecordTypes.contextTypes = {
    recordTypes: _react.PropTypes.object
  };

  return WithRecordTypes;
}