'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.originalJpegImage = exports.mediumImage = exports.smallImage = exports.thumbnailImage = exports.derivativeImage = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _BlobImage = require('../components/image/BlobImage');

var _BlobImage2 = _interopRequireDefault(_BlobImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var derivativeImage = exports.derivativeImage = function derivativeImage(blobCsid, derivative) {
  return blobCsid ? _react2.default.createElement(_BlobImage2.default, { csid: blobCsid, derivative: derivative }) : null;
};

var thumbnailImage = exports.thumbnailImage = function thumbnailImage(blobCsid) {
  return derivativeImage(blobCsid, 'Thumbnail');
};

var smallImage = exports.smallImage = function smallImage(blobCsid) {
  return derivativeImage(blobCsid, 'Small');
};

var mediumImage = exports.mediumImage = function mediumImage(blobCsid) {
  return derivativeImage(blobCsid, 'Medium');
};

var originalJpegImage = exports.originalJpegImage = function originalJpegImage(blobCsid) {
  return derivativeImage(blobCsid, 'OriginalJpeg');
};