"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (pluginContext) {
  var React = pluginContext.lib.React;
  var _pluginContext$inputC = pluginContext.inputComponents,
      AuthorityControlledInput = _pluginContext$inputC.AuthorityControlledInput,
      CompoundInput = _pluginContext$inputC.CompoundInput,
      OptionListControlledInput = _pluginContext$inputC.OptionListControlledInput,
      TextInput = _pluginContext$inputC.TextInput;
  var _pluginContext$layout = pluginContext.layoutComponents,
      Panel = _pluginContext$layout.Panel,
      Row = _pluginContext$layout.Row;
  var getPartPropertyName = pluginContext.recordDataHelpers.getPartPropertyName;


  return React.createElement(
    CompoundInput,
    { defaultChildSubpath: getPartPropertyName('groups_common') },
    React.createElement(
      Panel,
      { name: "infoPanel", collapsible: true },
      React.createElement(
        Row,
        null,
        React.createElement(
          "div",
          null,
          React.createElement(TextInput, { name: "title" })
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(
          "div",
          null,
          React.createElement(OptionListControlledInput, {
            name: "responsibleDepartment",
            optionListName: "departments"
          })
        ),
        React.createElement(
          "div",
          null,
          React.createElement(AuthorityControlledInput, {
            name: "owner",
            authority: "person/local"
          })
        )
      ),
      React.createElement(TextInput, { name: "scopeNote", multiline: true })
    )
  );
};