'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _dateHelpers = require('../../../helpers/dateHelpers');

var _blobHelpers = require('../../../helpers/blobHelpers');

exports.default = {
  search: [{
    name: 'blobCsid',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.media.blobCsid',
        'defaultMessage': 'Thumbnail'
      }
    }),
    formatValue: _blobHelpers.thumbnailImage,
    width: 70
  }, {
    name: 'identificationNumber',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.media.identificationNumber',
        'defaultMessage': 'Identification number'
      }
    }),
    sortBy: 'media_common:identificationNumber',
    width: 200
  }, {
    name: 'title',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.media.title',
        'defaultMessage': 'Title'
      }
    }),
    sortBy: 'media_common:title',
    width: 380
  }, {
    name: 'updatedAt',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.group.updatedAt',
        'defaultMessage': 'Last modified'
      }
    }),
    formatValue: _dateHelpers.formatLocalDateTime,
    sortBy: 'collectionspace_core:updatedAt',
    width: 150
  }]
};