'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _columns = require('./columns');

var _columns2 = _interopRequireDefault(_columns);

var _default = require('./forms/default');

var _default2 = _interopRequireDefault(_default);

var _idGenerators = require('./idGenerators');

var _idGenerators2 = _interopRequireDefault(_idGenerators);

var _messageDescriptors = require('./messageDescriptors');

var _messageDescriptors2 = _interopRequireDefault(_messageDescriptors);

var _serviceConfig = require('./serviceConfig');

var _serviceConfig2 = _interopRequireDefault(_serviceConfig);

var _title = require('./title');

var _title2 = _interopRequireDefault(_title);

var _optionLists = require('./optionLists');

var _optionLists2 = _interopRequireDefault(_optionLists);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  return function (pluginContext) {
    return {
      idGenerators: _idGenerators2.default,
      optionLists: _optionLists2.default,
      recordTypes: {
        object: {
          columns: _columns2.default,
          messageDescriptors: _messageDescriptors2.default,
          serviceConfig: _serviceConfig2.default,
          defaultForSearch: true, // Is this the default in search dropdowns?
          forms: {
            default: (0, _default2.default)(pluginContext)
          },
          sortOrder: null, // Ordering among record types of the same type
          title: (0, _title2.default)(pluginContext)
        }
      }
    };
  };
};