export default (pluginContext) => {
  const {
    React,
  } = pluginContext.lib;

  const {
    AuthorityControlledInput,
    CompoundInput,
    OptionListControlledInput,
    TextInput,
  } = pluginContext.inputComponents;

  const {
    Panel,
    Row,
  } = pluginContext.layoutComponents;

  const {
    getPartPropertyName,
  } = pluginContext.recordDataHelpers;

  return (
    <CompoundInput defaultChildSubpath={getPartPropertyName('groups_common')}>
      <Panel name="infoPanel" collapsible>
        <Row>
          <div>
            <TextInput name="title" />
          </div>
        </Row>
        <Row>
          <div>
            <OptionListControlledInput
              name="responsibleDepartment"
              optionListName="departments"
            />
          </div>
          <div>
            <AuthorityControlledInput
              name="owner"
              authority="person/local"
            />
          </div>
        </Row>
        <TextInput name="scopeNote" multiline />
      </Panel>
    </CompoundInput>
  );
};
